#!/bin/bash -
# Create the tarball without binary blobs.
# Copyright (C) 2020 Red Hat Inc.
# Distributed under the same license as Fedora spec files.

if [ $# -ne 2 ]; then echo "$0 version gittag"; exit 1; fi

set -e
set -x

version=$1
gittag=$2

rm -rf $gittag.tar.gz honggfuzz-$gittag honggfuzz-$version
wget https://github.com/google/honggfuzz/archive/$gittag.tar.gz
zcat $gittag.tar.gz | tar -xf -

# Remove the binary blobs.
rm -rf honggfuzz-$gittag/third_party

mv honggfuzz-$gittag honggfuzz-$version
tar -cf - honggfuzz-$version | gzip -9 > honggfuzz-$version.tar.gz
rm -rf $gittag.tar.gz honggfuzz-$gittag honggfuzz-$version
